> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign an Entity (Employee, Office, Department or EntityGroup) to a planned task



## OpenAPI

````yaml POST /project/v1/planned-tasks-assignations
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /project/v1/planned-tasks-assignations:
    post:
      tags:
        - Planned Tasks Assignations
      summary: >-
        Assign an Entity (Employee, Office, Department or EntityGroup) to a
        planned task
      operationId: AssignEntityReferenceToPlannedTask
      requestBody:
        description: Entity object to assign for the task that needs
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                plannedTaskId:
                  type: string
                  description: The id of the planned task
                  format: uuid
                entityReference:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The id of the entity
                      format: uuid
                    type:
                      type: string
                      description: The type of the entity
                      enum:
                        - employee
                        - department
                        - office
                        - entity_group
                  required:
                    - id
                    - type
              required:
                - plannedTaskId
                - entityReference
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````